| Home | Libraries | People | FAQ | More

#### pipeline_request

(EXPERIMENTAL) A pipeline request.

##### Synopsis

Defined in header `<boost/mysql/pipeline.hpp>`

    class pipeline_request

##### Member Functions

Name | Description
--- | ---
add_close_statement | Adds a close statement stage.
add_execute | Adds a stage that executes a text query. — Adds a stage that executes a prepared statement.
add_execute_range | Adds a stage that executes a prepared statement.
add_prepare_statement | Adds a prepare statement stage.
add_reset_connection | Adds a reset connection stage.
add_set_character_set | Adds a set character set stage.
clear | Removes all stages in the pipeline request, making the object empty again.
pipeline_request [constructor] | Default constructor.

##### Description

Contains a collection of pipeline stages, fully describing the work to be performed by a pipeline operation. Call any of the `add_xxx` functions to append new stages to the request.

##### Experimental

This part of the API is experimental, and may change in successive releases without previous notice.